## org.jfree.xml.factory.objects
Class Dimension2DObjectDescription

    java.lang.Object
      org.jfree.xml.factory.objects.AbstractObjectDescription
          org.jfree.xml.factory.objects.Dimension2DObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class Dimension2DObjectDescription

extends AbstractObjectDescription

An object-description for a `Dimension2D` object.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`Dimension2DObjectDescription()` Creates a new object description.

Method Summary
`java.lang.Object` `createObject()` Creates an object based on the description.
`void` `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription
`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dimension2DObjectDescription

    public Dimension2DObjectDescription()

  Creates a new object description.

Method Detail

### createObject

    public java.lang.Object createObject()

  Creates an object based on the description.

  Returns:
    The object.

### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

  Sets the parameters of this description object to match the supplied object.

  Parameters:
    `o` - the object (should be an instance of `Dimension2D`).
  Throws:
    `ObjectFactoryException` - if the object is not an instance of `Point2D`.